Bug 1857246 - Image registry creates two swift containers on openstack
Summary: Image registry creates two swift containers on openstack
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1880485
TreeView+ depends on / blocked
 
Reported: 2020-07-15 14:22 UTC by David Sanz
Modified: 2020-09-18 16:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Image registry operator log (384.83 KB, text/plain)
2020-07-15 14:22 UTC, David Sanz
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 604 None closed Bug 1857246: Retrying in case of conflict during Config update 2020-09-18 16:40:03 UTC

Description David Sanz 2020-07-15 14:22:08 UTC
Created attachment 1701242 [details]
Image registry operator log

Description of problem:
Before the issue, the image registry creates a swift container to save all the images from the internal image registry.

Now, it is creating two different containers:

$ openstack container list
+----------------------------------------------------------------+
| Name                                                           |
+----------------------------------------------------------------+
| mrnd-16-46-pfq5c-image-registry-qglejbwwaasiqlpyswrqcvlsnhsxgd |
| mrnd-16-46-pfq5c-image-registry-vmtbvnsbunmklaiglfbpvfwpcsjlim |
+----------------------------------------------------------------+

Attached are the logs of the image-registry operator pod


Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-07-15-091743

How reproducible:


Steps to Reproduce:
1.Install IPI on OSP
2.Check image registry swift containers created
3.

Actual results:
Two different swift containers are being created

Expected results:
Only one is required

Additional info:

Comment 4 Wenjing Zheng 2020-09-14 05:06:33 UTC
Verified on 4.6.0-0.nightly-2020-09-12-230035 , I can only see on swift container now.


Note You need to log in before you can comment on or make changes to this bug.